#
# spec file for package gap-laguna
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-laguna
Summary:        GAP: Lie AlGebras and UNits of group Algebras
Version:        3.7.0
Release:        0
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            http://www.cs.st-andrews.ac.uk/~alexk/laguna.htm

Source:         http://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/laguna-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.7
Requires:       gap-gapdoc >= 1.5.1
Suggests:       gap-sophus >= 1.2

%description
The title "LAGUNA" stands for "Lie AlGebras and UNits of group
Algebras". This is the new name of the GAP4 package LAG, which is
thus replaced by LAGUNA.

LAGUNA extends GAP functionality for computations in group rings.
Besides computing some general properties and attributes of group
rings and their elements, LAGUNA is able to perform two main kinds of
computations. Namely, it can verify whether a group algebra of a
finite group satisfies certain Lie properties; and it can calculate
the structure of the normalized unit group of a group algebra of a
finite p-group over the field of p elements.

%prep
%setup -qn laguna

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
